/* superview/svinfo.h   	    */
/* Version    : 9.1		    */
/* Date       : 25.09.1994	    */
/* Written by : Andreas R. Kleinert */

#ifndef SUPERVIEW_SVINFO_H
#define SUPERVIEW_SVINFO_H

#ifndef SUPERVIEW_SUPERVIEW_H
#include <superview/superview.h>
#endif /* SUPERVIEW_SUPERVIEW_H */


/* *************************************************** */
/* *						     * */
/* * Information structures (SVObjects & SVDrivers)  * */
/* *						     * */
/* *************************************************** */

   /* the following have been introduced with V6 : */

struct SVObjectInfo
{
 ULONG                 soi_Type;      /* valid SubTypeCode value       */
 ULONG                 soi_Flags;     /* Copy of Flags from svo_Flags  */
 UBYTE                *soi_TypeName;  /* Copy of svo_TypeID and        */
                                      /* svo_SubTypeID[x]              */

 struct SVObjectInfo *soi_NextEntry; /* Pointer to next entry or NULL */
};

struct SVDriverInfo
{
 ULONG                 sdi_Flags;     /* Copy of Flags from svd_Flags  */
 UBYTE                *sdi_Name;      /* Pointer to svd_ID             */

 struct SVDriverInfo *sdi_NextEntry; /* Pointer to next entry or NULL */
};

   /* the following has been introduced with V9 : */

struct SVOperatorInfo
{
 ULONG                  spi_Flags;     /* Copy of Flags from svp_Flags  */
 UBYTE                 *spi_Desc;      /* Pointer to svd_Description    */
 UBYTE                 *spi_Author;    /* Pointer to svd_Author         */

 struct SVOperatorInfo *spi_NextEntry; /* Pointer to next entry or NULL */
};

#endif /* SUPERVIEW_SVINFO_H */
