/* svdrivers/svdrivers.h            */
/* Version    : 3.5                 */
/* Date       : 25.03.1994          */
/* Written by : Andreas R. Kleinert */

/* SVDriver-Version V1.x+ */

#ifndef SVDRIVERS_SVDRIVERS_H
#define SVDRIVERS_SVDRIVERS_H


struct SVD_DriverNode
{
 struct Node svd_Node;              /* chaining Node                         */
                                    /* (svd_Node->ln_Name MUST               */
                                    /*  point to svd_FileName !)             */

 ULONG svd_Version;                 /* Library-Version of svdriver           */

 ULONG svd_Flags;                   /* Flags, see below                      */

 UBYTE svd_FileName [108];          /* use 30, as in struct FileInfoBlock    */

 ULONG svd_MaxWidth;                /* max. Screen Dimensions or 0xFFFFFFFF  */
 ULONG svd_MaxHeight;
 ULONG svd_MaxDepth;

 UBYTE svd_ID [80];                 /* short description, e.g. "AGA Driver"  */

 /* size may grow with bigger svd_Version, see below */
};

#define SVD_VERSION (1)             /* If this Version, which depends on the */
                                    /* svdriver's Library-Version, is set,   */
                                    /* it is guaranteed, that at least the   */
                                    /* above information is available.       */

   /* Flags allowed for svd_Flags field. Values are "just for info" yet. */

#define SVDF_INTUITION (1<<0)       /* Intuition compatible Display          */
                                    /* e.g. Amiga, ECS, AA                   */
                                    /* or compatible Graphic Cards           */

#define SVDF_FOREIGN   (1<<1)       /* incompatible Gfx Display
                                    /* e.g. EGS                              */


#endif /* SVDRIVERS_SVDRIVERS_H */
